<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity A</title>
</head>
<body>

	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>

	<hr>

	<h1>Software Engineering Code of Ethics and<br> Professional Practice</h1>

	<h2>IEEE-CS/ACM Joint Task Force on Software Enginnering Ethics and Professional<br> Practices</h2>

	<hr>

	<p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>

	<h2>PREAMBLE</h2>

	<p> The short version of the code summarizes aspirations at a high level of abstraction. the clauses that<br> are included in the full version give examples and details of how these aspirations change the way we<br> act as a software engineering professionals. Without the aspirations, the details can become legalistic<br> and tedious; without the details, the aspirations can beecome high-sounding but empty; together, the<br> aspirations and the details form a cohesive code</p>

	<h2>PRINCIPLES</h2>

		<ol>
			<li><em>Public.</em>Software engineers shall act consistently with the public interest</li>

			<li><em>Client and employer.</em> Software engineers shall act in a manner that is in the best interests of their<br> client and employer, consistent with the public interest</li>

			<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the <br> highest professional standards possible</li>

			<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional<br> judgement.</li>

			<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an<br> ethical approach to the management of sofware development and maintenance</li>

			<li><em>Profession.</em> Software engineers shall advance the integrity and reputations of the profession<br> consistent with the public interest</li>

			<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues</li>

			<li><em>Self.</em> Software engineers shall participate in lifelong learning regarding the practice of their <br> profession and shall promote an ethical approach to the practice of the profession</li>
			
		</ol>

</body>
</html>